mpg123 (1.25.10-1) unstable; urgency=medium

  * Team upload.

  [ Sebastian Ramacher ]
  * debian/control: Drop obsolete Pre-Depends.
  * New upstream release.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 10 Mar 2018 11:02:34 +0100

mpg123 (1.25.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Dec 2017 21:31:49 +0100

mpg123 (1.25.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Do not play with cursor and inverse video for progress bar when
      TERM=dumb. (Closes: #872362)
    - Fix parsing of host port for numerical IPv6 addresses. (Closes: #872361)
  * debian/control: Bump Standards-Version.
  * debian/mpg123.manpages: Removed, not needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Sep 2017 16:12:35 +0200

mpg123 (1.25.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Fix Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Aug 2017 11:53:27 +0200

mpg123 (1.25.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix buffer over-read. (CVE-2017-9545) (Closes: #870799)
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Aug 2017 14:33:07 +0200

mpg123 (1.25.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix buffer over-read via crafted audio files. (CVE-2017-11126)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Jul 2017 16:03:48 +0200

mpg123 (1.25.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix heap-based buffer over-read (CVE-2017-10683) (Closes: #866860)
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Jul 2017 21:13:06 +0200

mpg123 (1.25.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
    - Fix crashes in Remote mode if FORMAT command issued. (Closes: #862753)
  * debian/libmpg123-0.symbols.common.in: Add new symbol.
  * debian/control: Remove unnecessary B-D on python-minimal. (Closes:
    #856565)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jun 2017 11:48:56 +0200

mpg123 (1.24.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: Update copyright years.
  * debian/{rules,compat,control}: Bump debhelper compat to 10.
  * debian/rules: Simplify flags handling.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 25 Apr 2017 21:46:03 +0200

mpg123 (1.23.8-1) unstable; urgency=high

  * Team upload.
  * New upstream release.
    - Fixes DoS with crafted ID3v2 tags. (Closes: #838960)
  * debian/{control,libout123*}: Add new libout123-0 package.
  * debian/libmpg123-0.symbols*: Add new symbols.
  * debian/patches: Refreshed.
  * debian/control:
    - Update Vcs-*.
    - Bump Standards Version
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Sep 2016 19:19:03 +0200

mpg123 (1.22.4-1) unstable; urgency=medium

  * New upstream release.
    - Fix regression introduced with a bugfix in 1.14.1 to make free format
      streams work again.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 18 Sep 2015 03:42:40 -0400

mpg123 (1.22.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix UTF-16 surrogate detection because that used to falsely detect
      characters above 0xDFFF as surrogates. (Closes: 786718)
  * Update the Suggests so that they can be satisfied in all architectures.
  * Introduce a wrapper for the pulse plugin.
  * Simplify the rules file by removing the dh_shlibdeps and dh_makeshlibs
    overrides.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 06 Aug 2015 19:13:48 -0400

mpg123 (1.22.2-1) unstable; urgency=medium

  * New upstream release.
  * Check if DEB_HOST_ARCH_CPU is i386 instead of i486. (Closes: 751800)
    - In i386/hurd-i386/kfreebsd-i386 don't default to only building the
      "broken" decoder.
  * Override lintian error libmpg123-0: shlib-with-non-pic-code in i386.
    - Previous fix reintroduces all decoders and skips the "bad" one. The
      faster decoders use optimizations with non-pic code.
  * Update the watch file to verify the cryptographic signatures.
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 02 Jul 2015 23:32:31 -0400

mpg123 (1.20.1-2) unstable; urgency=medium

  * Team upload.

  [ Alessio Treglia ]
  * Update symbols file to prevent FTBFS on arm64.
    Thanks to Will Newton for pointing this out. (Closes: #758227)

  [ Sebastian Ramacher ]
  * debian/control: Remove ${shlibs:Depends} from libmpg123-dev's Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Aug 2014 11:51:27 +0200

mpg123 (1.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove myself from the Uploaders list.

 -- Alessio Treglia <alessio@debian.org>  Wed, 06 Aug 2014 10:36:45 +0100

mpg123 (1.20.0-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS on ppc64el. Thanks to Fernando Seiti Furusato for
    the patch. (Closes: #751136)
  * debian/copyright:
    - Update copyright holders information.
    - copyright-1 format compliance fixes.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Jul 2014 15:55:17 +0100

mpg123 (1.18.0-1) unstable; urgency=low

  * New upstream release, Closes: #737243
    - libmpg123 version 39
    - Big version increase for clear distinction regarding the 1.14.x regression
      fixes in libmpg123.
    - Regression fix: Ensure decoder reinitialization on combination of seek and
      resync (buffer overflow bug 201, introduced in 1.14.1).
    - Regression fix: Make parsing really end on reaching of junk limit
      (introduced in 1.14.4).
    - Add check for bad bit allocation value in layer I decoder (removes audible
      glitch in bug 201 test file).
    - Avoid wrong error message about Frankenstein streams when gapless decoding
      disabled.
    - Be verbose about big header changes (Frankenstein streams). Note that
      changes in samples per frame will confuse the seeking code, but decoding
      can get through.
    - Actually use the full routine to close tracks. Avoids socket leak when
      playing multiple HTTP streams from a playlist (bug 203).
    - Send correct host header when connecting through HTTP proxy (bug 202,
      figured out by Rajeev V. Pillai).
    - The console application now informs about changed major stream properties
      (prints out another header line).
    - mpg123-id3dump --no-scan; for speedup
    - hide -C parameter from mpg123 --help when it is not supported
    - added tinyalsa Output (by Jarno Lehtinen)
    - build system tweaking
    - some care for fixing Cygwin builds
  * Update symbol table to work with mips64/mips64el.
    Thanks to YunQiang Su for the patch. (Closes: #729047)
  * Update symbol table to work with x32.
  * Bump Standards-Version.
    - Remove mp3-decoder from the Provides list.

  [ Riku Voipio ]
  * switch arm to use generic_fpu, Closes: #738981, LP: #1072696

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Sat, 15 Feb 2014 13:42:35 +0000

mpg123 (1.16.0-1) unstable; urgency=low

  * New upstream release:
    - Taihei strikes again:
      + New Huffman decoding scheme (configurable, on by default) brings
        nice boost to mpg123 to make it the fastest decoder on modern
        CPUs again.
      + new AVX decoder
    - assembly-optimized DCT36 for SSE and AVX
    - added configs for vintage 3DNow(ext) CPUs (AMD K6) utilizing
      assembly DCT36
    - added configs for vintage SSE CPUs (Pentium M), utilizing C DCT36
    - added FORMAT command to generic control
    - added support for ID3v2 APIC frames
    - added mpg123-id3dump as official companion to extract meta data
      (including writing of album art from APIC to files)
    - added mpg123-strip as official companion to strip dirt out of MPEG
      streams (including meta data)
    - not deleting ID3 data right after printing in generic control
    - module loader a bit more flexible with relative MPG123_MODDIR
    - Fix chopped-off playback with pulseaudio output: draining the output
      now on closing.
    - SDL output fixup, a) not chopping off end and b) non-fatal underrun
    - added support for screen and iris-ansi terminals with --title
    - fixes/enhancements for sgi audio output
    - libmpg123: proper largefile aliases for proper systems (FreeBSD with
      one one-and-only off_t). This enables client software that insists on
      defining pointless _FILE_OFFSET_BITS. (Closes: #720440)
    - wrapper script src/mpg123-with-modules to ease the pain of running
      mpg123 with modules without installation (setting MPG123_MODDIR)
    - removed ALSA 0.5 code (unused for longtime, last GPL-only bit)
  * Drop kfreebsd LFS patch, applied upstream.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Oct 2013 11:25:27 +0100

mpg123 (1.15.3-2) unstable; urgency=low

  * Provide 64 bit wrapper functions on kfreebsd, Closes: #720440
  * Add myself to uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Aug 2013 15:26:50 +0200

mpg123 (1.15.3-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
    - Build fix with older shells (== in configure).
    - Fix WAV writing. AGAIN.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 05 Apr 2013 14:06:03 -0400

mpg123 (1.15.1-1) experimental; urgency=low

  * New upstream release.
    - Getting WAV/AU/CDR writing back to a sane state while still catching
      out-of-disk when writing headers. (Closes: #680101)
    - Fix corner case in HTTP communication with missing path in Location
      header. (Closes: #700721)
  * Update symbols file with new symbols.
  * Bump shlibs accordingly.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 01 Mar 2013 10:11:28 -0500

mpg123 (1.14.4-1) unstable; urgency=low

  * New upstream release.
    - Fix regression from 1.14.1 in parsing of bad free format streams.
      (Closes: #677148)
    - Fix resync logic to properly work again (used to prematurely end stream
      on bad headers).
    - Fix multiple seek regressions.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 05 Sep 2012 03:31:20 -0400

mpg123 (1.14.2+svn20120622-1) unstable; urgency=low

  * Fresh snapshot from upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 22 Jun 2012 09:48:18 +0200

mpg123 (1.14.2-1) unstable; urgency=low

  * New upstream release.
    - Fix writing of WAV to stdout.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Sat, 12 May 2012 13:30:02 -0400

mpg123 (1.14.1-1) unstable; urgency=low

  * New upstream release.
    - Fix subtle bug that could trigger failure to detect a format change on
      resync when using libmpg123's feeder API. (Closes: #672123)

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Mon, 07 May 2012 23:00:43 -0400

mpg123 (1.14.0-1) unstable; urgency=low

  * New upstream release.
    - Handle out-of-disk in the file writers. (Closes: #67259)
  * Drop patches which have been merged upstream:
    - 0002-hardening.patch
    - 0003-spelling_errors.patch
    - 0004-hyphen_used_as_minus_sign.patch
  * Update symbols file with new symbols.
  * Bump shlibs accordingly.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Tue, 01 May 2012 01:47:53 -0400

mpg123 (1.13.8-1) unstable; urgency=low

  * New upstream release.
    - Fix build for ARM Thumb (incompatible assembly in some macros).
  * Add myself to the uploaders list.
  * Update copyright file.
  * debian/rules:
    - Remove -marm from the CFLAGS. It's now properly fixed upstream.
    - Use the default optimizations in armel/armhf.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 18 Apr 2012 04:28:00 -0400

mpg123 (1.13.7-7) unstable; urgency=low

  [ Miguel Colon ]
  * Pass --with-cpu=neon to configure for armhf (again).
  * Fix a FTBFS in alpha.
  * Bump the remaining *_64 symbols to 1.13.7.
  * Preemptively fix a possible FTBFS in sparc64.

  [ Alessio Treglia ]
  * Add -marm to CFLAGS to fix FTBFS on armhf. Thanks to peter green for
    the patch. (Closes: #667658)

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Apr 2012 23:47:23 +0200

mpg123 (1.13.7-6) unstable; urgency=low

  * Pass --with-cpu=arm_nofpu to configure for armhf too.

 -- Alessio Treglia <alessio@debian.org>  Sun, 01 Apr 2012 12:01:15 +0200

mpg123 (1.13.7-5) unstable; urgency=low

  * Upload to unstable.
  * Add patch to correct some misspellings.
  * Fix a small mistake in the manpage.
  * Refresh debian/copyright, update to Debian Copyright Format 1.0.

 -- Alessio Treglia <alessio@debian.org>  Sat, 31 Mar 2012 14:24:58 +0200

mpg123 (1.13.7-4) experimental; urgency=low

  [ Alessio Treglia ]
  * Refresh packages descriptions. Thanks to Adrian Bunk for the
    suggestions. (Closes: #666206)
  * Replace Suggests' contents with a list of supported sound
    systems (Closes: #666208).
  * Update Homepage field.

  [ Miguel Colon ]
  * Update the symbols file to fix FTBFS and other issues.
    - Move *_64* symbols to the 64bit file.
    - kfreebsd-i386 (1.13.7) and alpha (1.12.1-3.2) don't have these symbols.
    - mpg123_decode_frame_32 and mpg123_feedseek_32 not in (<= 1.12.1-3.2).
  * Fix the failures to open the modules due to the removal of the .la files.

 -- Alessio Treglia <alessio@debian.org>  Fri, 30 Mar 2012 08:49:46 +0200

mpg123 (1.13.7-3) experimental; urgency=low

  * Enable LFS aliases, attempt to fix FTBFS on kfreebsd-i386.
  * Drop static library.
  * Improve ARM CPUs optimizations.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Mar 2012 14:13:02 +0200

mpg123 (1.13.7-2) experimental; urgency=low

  * Re-organize and refresh symbols. Thanks to Miguel Colon for the report
    and initial patch. (Closes: #661517)
  * Introduce new plugins:
    - JACK
    - PortAudio
    - OpenAL
  * Remove unnecessary build-dependencies.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Mar 2012 11:42:59 +0200

mpg123 (1.13.7-1) experimental; urgency=low

  * New maintainer (see bug#644851 comment#28).
    - Thanks to Daniel Kobras <kobras@debian.org> for the great work!
  * ACK NMUs. (Closes: #631642)
  * New upstream release. (Closes: #644851)
  * Switch to 3.0 (quilt) format.
  * Switch to DH 7 short-form.
  * Use dh_autoreconf.
  * Use dpkg-buildflags to get hardening flags.
  * Add patch to avoid failure when built with hardened flags.
  * Build with --as-needed.
  * Convert to Multi-Arch. (Closes: #651014)
  * Drop the esd output plugin. (Closes: #646390)
  * Remove all *.la files.
  * Replace hardcoded list of non-Linux architectures with
    linux-any. (Closes: #634766)
  * Remove dummy packages:
    - mpg123-oss-3dnow
    - mpg123-oss-i486
    - alsa dummy
    - nas dummy
  * debian/*.{postinst,preinst,prerm}
    - Use set -e in the body of the script rather than passing -s to
      the shell.
  * Remove unnecessary NEWS file.
  * Add gbp.conf file.
  * Add watch file.
  * Add Homepage field.
  * Bump Standards-Version.

 -- Alessio Treglia <alessio@debian.org>  Wed, 28 Mar 2012 10:00:21 +0200

mpg123 (1.12.1-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to libltdl-dev (Closes: #627165).
  * Empty dependency_libs (Closes: #622501).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 19:13:38 +0200

mpg123 (1.12.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unneeded build-depend on libartsc0-dev. (Closes: #561922)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 02 Apr 2011 22:59:31 +0200

mpg123 (1.12.1-3) unstable; urgency=low

  * src/libmpg123/readers.c: Fix fast reading of ICY streams via http.
    Patch from upstream version 1.12.3.

 -- Daniel Kobras <kobras@debian.org>  Mon, 30 Aug 2010 20:05:09 +0200

mpg123 (1.12.1-2) unstable; urgency=low

  * configure.ac, src/libmpg123/frame.c: Apply backport of upstream patch
    to fix calculation of pointer alignment on 32bit archs. Many thanks
    to William Pitcock, Gregor Herrmann, and upstream author Thomas Orgis
    for tracking down this problem. Closes: #580095
  * debian/rules: Run autoreconf to rebuild configure script after
    having applied above patch. In clean target, remove any files
    altered by autoreconf.
  * debian/control: Build-depend on automake and autoconf for autoreconf.

 -- Daniel Kobras <kobras@debian.org>  Wed, 09 Jun 2010 21:40:23 +0200

mpg123 (1.12.1-1) unstable; urgency=low

  * New upstream version. Closes: #572975
  * debian/control: Package complies with version 3.8.4 of Debian policy.
  * debian/control: Add substitution variable misc:Depends to package
    dependency lines to placate lintian.
  * debian/libmpg123-0.symbols.common.in: Add new symbols mpg123_open_handle
    and mpg123_replace_reader_handle.

 -- Daniel Kobras <kobras@debian.org>  Wed, 28 Apr 2010 21:18:28 +0200

mpg123 (1.10.0-2) unstable; urgency=low

  * src/libmpg123/dither.[hc]: Disable function mpg123_noise that is not
    yet part of libmpg123's official API and should therefore not get
    exported.
  * debian/libmpg123-0.symbols.common.in: Remove symbol mpg123_noise
    accordingly. Closes: #559892

 -- Daniel Kobras <kobras@debian.org>  Thu, 10 Dec 2009 20:42:32 +0100

mpg123 (1.10.0-1) unstable; urgency=low

  * New upstream release 1.10.0.
  * debian/libmpg123-0.symbols.common.in: Add four new symbols.
  * debian/libmpg123-0.symbols.{32bit,64bit}.in: Add one new\
    architecture-dependent symbol.
  * debian/control: Complies with version 3.8.3 of Debian policy.

 -- Daniel Kobras <kobras@debian.org>  Sun, 06 Dec 2009 23:13:36 +0100

mpg123 (1.9.1-2) unstable; urgency=low

  * debian/rules: Disable PIE on mips/mipsel due to binutils bug #532821.
    Works around build failures on these archs.
  * debian/rules: Include contents of config.log in build log if
    configure fails.

 -- Daniel Kobras <kobras@debian.org>  Mon, 19 Oct 2009 22:51:48 +0200

mpg123 (1.9.1-1) unstable; urgency=low

  * New upstream version 1.9.1.
  * src/output/arts.c: Drop Debian-specific 64bit patch (fixed upstream).
  * debian/libmpg123-0.symbols.common.in: Add two new exported library
    symbols. 

 -- Daniel Kobras <kobras@debian.org>  Wed, 14 Oct 2009 21:43:18 +0200

mpg123 (1.7.2-3) unstable; urgency=low

  * debian/alt_deps.py: Add helper code to fold several (plugin)
    dependencies into a single alternative dependency. Used to
    auto-generate the default Recommends for "first-class" output
    plugins. Unlike the previous hack in debian/rules, the helper
    tool can handle several dependency entries per plugin. Fixes
    build errors on several archs where plugins picked out a different
    versioned dependency on libc6 than the rest of the packages.
    Closes: #524246
  * debian/control: Add build-dependency on python-minimal for
    helper tool.
  * debian/rules: Remove previous hack to generate plugin:Recommends
    and use helper tool instead.

 -- Daniel Kobras <kobras@debian.org>  Sat, 18 Apr 2009 22:34:51 +0200

mpg123 (1.7.2-2) unstable; urgency=low

  * debian/libmpg123-0.symbols*: Distinguish between symbols on 32bit
    and 64bit platforms. Closes: #523592

 -- Daniel Kobras <kobras@debian.org>  Wed, 15 Apr 2009 20:16:05 +0200

mpg123 (1.7.2-1) unstable; urgency=low

  * New upstream version 1.7.2.
    + Fixes a denial-of-service vulnerability in the ID3 decoder. (No
      CVE-ID listed so far.)
  * debian/control: Package complies with version 3.8.1 of Debian policy.
  * debian/libmpg123-0.symbols: Add initial symbols file.
  * debian/rules: Make use of improved security features in gcc and ld,
    unless DEB_BUILD_OPTIONS contain the "noharden" keyword.

 -- Daniel Kobras <kobras@debian.org>  Thu, 09 Apr 2009 20:43:35 +0200

mpg123 (1.6.4-1) unstable; urgency=low

  * New upstream version 1.6.4.
    + Misleading commandline option --resync has been renamed to
      --no-resync. Closes: #493590
  * src/output/arts.c: Fix invalid cast on 64bit archs.
  * Upload to unstable again. Closes: #500719

 -- Daniel Kobras <kobras@debian.org>  Thu, 26 Mar 2009 17:33:48 +0100

mpg123 (1.6.2-1) experimental; urgency=low

  * New upstream version 1.6.2.
    + Includes WAV and ID3 fixes previously applied as Debian-specific
      patches.
  * debian/rules: Several new symbols have been added to libmpg123-0.
    Bump shlibs version.

 -- Daniel Kobras <kobras@debian.org>  Sat, 20 Dec 2008 17:35:17 +0100

mpg123 (1.4.3-4) unstable; urgency=medium

  * src/wav.c: Backport upstream patch for writing WAV output to stdout
    via '-w -'. Fixes regression from etch. Closes: #493285
  * debian/rules: Only include ALSA dependencies when respective plugin has
    been built. Original patch thanks to Petr Salinger. Fixes build failure
    on GNU/kFreeBSD. Closes: #493423

 -- Daniel Kobras <kobras@debian.org>  Sun, 07 Sep 2008 17:02:54 +0200

mpg123 (1.4.3-3) unstable; urgency=medium

  * src/libmpg123/id3.c: Apply upstream fix for out-of-bounds error in
    id3 parser.
  * debian/mpg123.postinst: Output auto-detection is no good as long as
    output-specific wrappers are still listed as alternatives with higher
    priority. Remove alternative setting for all wrapper scripts, therefore.
    Closes: #391669
  * debian/mpg123-wrapper.in: Call mpg123 binary with exec to avoid stray
    shell process as suggested by Shane Wegner.

 -- Daniel Kobras <kobras@debian.org>  Sun, 06 Jul 2008 18:46:38 +0200

mpg123 (1.4.3-2) unstable; urgency=medium

  * debian/control: Add build-dependency on libltdl-dev to fix build
    failures.
  * debian/control: Include build-dependencies for arts, jack, and
    pulseaudio output plugins.

 -- Daniel Kobras <kobras@debian.org>  Sat, 21 Jun 2008 18:07:34 +0200

mpg123 (1.4.3-1) unstable; urgency=low

  * New upstream version. Closes: #469110
    + Core engine provided as a library now. Closes: #52020
    + Different audio output systems can now be selected at runtime via a
      plugin mechanism.
    + Fixed parsing of ICY streams. Closes: #449319
  * debian/*: Major packaging overhaul.
    + Output-specific packages are turned into dummy packages as plugins in
      the main package mpg123 now provide all the required funtionality.
    + In a default installation, dependencies for the ALSA and OSS output
      plugins are pulled in via Recommends. Dependencies for the other
      output plugins are provided in Suggests. Closes: #391669
    + A package with i486-specific optimisations is no longer built. Instead,
      a dummy package will pull in the main package mpg123 providing generic
      optimisations.
    + As different output backends and CPU optimisations used to be accessible
      through separate binaries, wrapper skripts are provided using the old
      names. These wrappers are likely to be removed in the next release
      cycle, though.

 -- Daniel Kobras <kobras@debian.org>  Sun, 15 Jun 2008 19:18:58 +0200

mpg123 (1.1.0-1) unstable; urgency=low

  * New upstream version.
    + Includes support for delay option. Dropped Debian-specific changes.

 -- Daniel Kobras <kobras@debian.org>  Wed, 16 Jan 2008 20:20:13 +0100

mpg123 (0.67-1) unstable; urgency=low

  * New upsteam version.
    + Includes fix for VPATH builds from 0.66-1.
  * debian/rules: Guard against multiple invocations of configure target
    during build. Fixes failure when building twice in a row. Closes: #442680
  * debian/rules: Include optimised builds on i386. Closes: #433693
  * debian/rules: Remove obsolete touch commands needed only when patching
    configure.ac.
  * src/mpg123.[ch],man1/mpg123.1: New option -D to add delay between
    songs. Modified version of patch supplied by Cédric Augonnet.
    Closes: #50110

 -- Daniel Kobras <kobras@debian.org>  Wed, 19 Sep 2007 22:02:39 +0200

mpg123 (0.66-1.1) unstable; urgency=low

  * porter NMU
  * Add armel to architecture list for mpg123-alsa. Closes: #431092

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Sep 2007 16:26:29 -0400

mpg123 (0.66-1) unstable; urgency=low

  * New upstream version.
    + src/debug.h, src/httpget.c: Debug macro fixes merged upstream.
  * src/Makefile.am, src/Makefile.in: Fix custom preprocessing directive
    for asm files during VPATH builds.
  * debian/rules: Fix incorrect quoting in clean target that prevented
    reaping of build stamps. Closes: #424580
  * debian/rules: Man page moved to man1. Make sure to copy from new
    location.

 -- Daniel Kobras <kobras@debian.org>  Mon, 11 Jun 2007 23:31:30 +0200

mpg123 (0.65-1) unstable; urgency=low

  * New upstream version. Closes: #406842
    + Includes all our patches outside of the debian/ subdirectory.
    + Improved ID3v2 handling. Closes: #105329
  * src/debug.h: Make sure that debug macros evaluate to a single
    statement. Fix (yet another) compile error in audio_nas.c.
  * src/httpget.c: Remove special cases in debug macro usage that
    break with the above fix in place.

 -- Daniel Kobras <kobras@debian.org>  Mon, 16 Apr 2007 22:07:53 +0200

mpg123 (0.61-5) unstable; urgency=high

  * src/httpget.c: Fix potential denial of service attack on premature
    end-of-file from HTTP server (CVE-2007-0578). Patch taken from upstream's
    0.64 release. Closes: #409296

 -- Daniel Kobras <kobras@debian.org>  Mon,  5 Feb 2007 23:18:31 +0100

mpg123 (0.61-4) unstable; urgency=high

  * src/audio_oss.c: OSS output always uses formats in native endianness,
    so don't additionally swap bytes on big endian architectures.
    Closes: #398480

 -- Daniel Kobras <kobras@debian.org>  Tue, 14 Nov 2006 13:09:57 +0100

mpg123 (0.61-3) unstable; urgency=high

  * debian/control: 3dnow dummy package needs a versioned dependency on
    the main mpg123 package. Other providers would also fulfill the
    dependency otherwise. Closes: #398228

 -- Daniel Kobras <kobras@debian.org>  Sun, 12 Nov 2006 16:22:30 +0100

mpg123 (0.61-2) unstable; urgency=low

  * debian/control: Lift architecture restrictions of esd, nas, and alsa
    flavours as much as possible. Build i486 variant on kfreebsd as well.
    3dnow version is only needed for upgrades and can stay linux-i386-only.
  * debian/postinst.in: Increase priorities by 100 for mpg123 alternative to
    get us above mpg321. We /are/ mpg123, after all, and we are free now.
    Priorities for mp3-decoder remain unchanged. Closes: #394749
  * debian/rules: Take OS into account when building package lists to
    keep kfreebsd happy. Thanks to Petr Salinger. Closes: #390939

 -- Daniel Kobras <kobras@debian.org>  Tue, 24 Oct 2006 14:13:44 +0200

mpg123 (0.61-1) unstable; urgency=low

  * New upstream version.
    + Includes esd-related patches to configure and src/audio_esd.c.
      Dropped our version from Debian diff.
    + Abnormal exit of the program has been unified and improved. Returns
      a more meaningful exit status now. Closes: #27870
  * src/audio_nas.c: Use correct error macro to fix compile error.
  * debian/control: Turn mpg123-oss-3dnow into a dummy package, superseded
    by main mpg123 package.
  * debian/control: Don't build depend on alsa lib on hurd and kfreebsd.
  * debian/control: Build main package on any architecture. Closes: #390939
  * debian/rules: Build with 3dnow optimisation by default on i386. Support
    is deteced at runtime and falls back to our previous default optimisation
    level. Closes: #368850
  * debian/rules: Reduce per-arch variables, use defaults for most archs.

 -- Daniel Kobras <kobras@debian.org>  Mon, 23 Oct 2006 21:09:17 +0200

mpg123 (0.60-3) unstable; urgency=low

  * debian/rules: When generating $pkgname.mime, don't point to master
    file but copy over its contents. Closes: #390450

 -- Daniel Kobras <kobras@debian.org>  Sun,  1 Oct 2006 17:21:19 +0200

mpg123 (0.60-2) unstable; urgency=low

  * debian/rules: Pass per-arch list of built packages to debhelper calls.
    Fixes build failures on architectures that build only a subset of all
    packages. Closes: #390077

 -- Daniel Kobras <kobras@debian.org>  Fri, 29 Sep 2006 11:04:42 +0200

mpg123 (0.60-1) unstable; urgency=low

  * New upstream release.
    + Includes security fix for a heap overflow in httpget.c
      (CVE-2006-3355). Closes: #377264
  * configure, configure.ac: Fix typo to make esd detection work.
  * src/audio_esd.c: Always define audio_queueflush().
  * debian/compat: Set to debhelper compatibility level 5.
  * debian/control: Move from non-free to main. Closes: #292260
  * debian/control: OSS versions depend on oss-compat now.
  * debian/control: Build-depend on pkg-config. Configure script uses it.
  * debian/control: Build-depend on dephelper and autotools-dev.
  * debian/copyright: Download location now points to SourceForge site.
  * debian/copyright: Document new copyright and license, and add pointer to
    documentation of relicensing process.
  * debian/mime: Require a terminal when called via mailcap.
  * debian/rules: Debhelperize.
  * debian/rules: Tweak rules for new configure-style build system.
  * debian/rules: Add magic touches to prevent accidential rebuiling of
    configure.
  * debian/{control,rules}: Reinstate mpg123-alsa package now that current
    ALSA versions are supported again.

 -- Daniel Kobras <kobras@debian.org>  Thu, 14 Sep 2006 13:49:03 +0200

mpg123 (0.59r-22) unstable; urgency=high

  * layer3.c: Fix buffer overflow in III_i_stereo() (CVE-2006-1655).
    Closes: #361863
  * mpg123.1: Fix several typos in man page. Patch thanks to A Costa.
    Closes: #350356
  * decode_i386.c: Cheat around strict aliasing problem in WRITE_SAMPLE().
  * Makefile: Replace deprecated -mcpu option with -mtune in x86 targets.
  * debian/control: Complies with version 3.6.2 of Debian policy. Bump
    Standards-Version accordingly.

 -- Daniel Kobras <kobras@debian.org>  Fri, 28 Apr 2006 18:27:35 +0200

mpg123 (0.59r-21) unstable; urgency=medium

  * Makefile: In linux-nas target, only link with libaudio, but not with
    its dependent libs.
  * Makefile: Likewise, in linux-*-esd targets remove explicit audiofile
    linkage.
  * Makefile: Use double rather than single quotes in OBJECTS definitions
    to fix multi-line OBJECTS with recent implementations of GNU make.
  * Makefile: Sprinkle some extra spaces after macro definitions to
    placate gcc with recent GNU make.
  * httpget.c: Do not forget to pass the target URL when using an HTTP
    proxy. Closes: #311049
  * mpg123.c: Resync buffers when interrupted by Ctrl-c to clean out
    remaining cruft. Also cures long delays when skipping songs in
    buffered mode. Closes: #154509, #280034
  * mpg123.h: Complete fix from 0.59r-2 and remove external declaration
    esdserver variable from mpg123.h. There's no need for it to be global.
    Fixes build of linux-esd with recent gcc.
  * mpg123.1: Correct description of -s option for mono input.
    Closes: #326038
  * debian/control: Remove build-dependency on xlibs-dev because we no
    longer link with libXau and libXt directly. Closes: #346937
  * debian/control: Likewise, remove libaudiofile-dev build-dependency.
  * debian/control: Follow name change from nas-dev to libaudio-dev in
    build dependencies.
  * debian/rules: Define ARCH from dpkg-architecture rather than from
    obsolete dpkg option.

 -- Daniel Kobras <kobras@debian.org>  Mon, 16 Jan 2006 18:03:38 +0100

mpg123 (0.59r-20) unstable; urgency=high

  * httpget.c: Fix integer overflows in http parser, introduced by
    security patch for CAN-2004-0982.
  * httpget.c: Ensure minimum size of receive buffer to fix regression
    in 0.59r-18, caused by patch for CAN-2004-0982. Closes: #294801

 -- Daniel Kobras <kobras@debian.org>  Sun,  8 May 2005 19:37:18 +0200

mpg123 (0.59r-19) unstable; urgency=high

  * layer2.c: Fix off-by-one error in boundary check introduced in -18.
    Thanks to Jeremy Huddleston for noticing.
  * layer1.c: Use proper parameter range in stereo test.

 -- Daniel Kobras <kobras@debian.org>  Wed,  5 Jan 2005 17:18:30 +0100

mpg123 (0.59r-18) unstable; urgency=high

  * common.c, layer2.c: Fix insufficient validation of MPEG header
    values, discovered by Yuri D'Elia (CAN-2004-0991).
  * mpg123.c: Fix buffer overflow in playlist parser, discovered by
    Bartlomiej Sieka (CAN-2004-1284). Thanks to Steve Kemp for the
    patch. Closes: #287043
  * httpget.c: Fix further heap overflows in http parser. Backported
    from the Gentoo patch for CAN-2004-0982. Original path was coded
    by Jeremy Huddleston for version pre0.59s.
  * mpg123.c: Fix NULL pointer dereference if http_open() fails.
  * httpget.c, xfermem.c: Do not explicitly declare errno variable.
  * audio.c: Include stdlib.h to silence compiler warning.

 -- Daniel Kobras <kobras@debian.org>  Mon,  3 Jan 2005 23:11:32 +0100

mpg123 (0.59r-17) unstable; urgency=high

  * httpget.c: Fix heap overflow in http authentication handler
    (CAN-2004-0982). Closes: #277948
  * mpg123.c: Apply patch by Dan Olson to fix handling of remote
    playlists. Closes: #60058, #185544

 -- Daniel Kobras <kobras@debian.org>  Wed, 27 Oct 2004 00:16:23 +0200

mpg123 (0.59r-16) unstable; urgency=high

  * layer2.c: Fix buffer overflow in layer2 decoder (CVE ID CAN-2004-0805).
  * Makefile: Fix compiler options to build for generic targets on ARM,
    but optimise for xscale. Closes: #261255
  * README.3DNOW, dct36_3dnow.s, dct64_3dnow.s, decode_3dnow.s,
    decode_i386.c, equalizer_3dnow.s, getcpuflags.s, layer3.c, mpg123.c,
    mpg123.h, tabinit.c, debian/rules: Apply patch by KIMURA Takuhiro and
    Syuuhei Kashiyama to fix errors in 3dnow-optimised decoding.
    Thanks to Alberto Garcia for the patch-merging. Closes: #242212
  * debian/prerm: De-register mp3-decoder alternative. Closes: #222982
  * debian/changelog: Convert to utf8.
  * debian/control: Bump standards version.

 -- Daniel Kobras <kobras@debian.org>  Tue,  7 Sep 2004 15:57:57 +0200

mpg123 (0.59r-15) unstable; urgency=high

  * httpget.c: Fix heap overflow in http subsystem (cf. BID 8680, and Debian
    bug #212584). As a side-effect, this imposes an upper limit on the
    supported length of URLs (1013 characters).
  * buffer.c: Fix potential loop in buffer process after parent has exited.
    Closes: #181176
  * term.c: Do not send internal signals to whole process group. Patch thanks
    to Rupert Levene. Closes: #192547
  * control_generic.c: Fix line reading (up to a max. length of 1023
    characters). Closes: #64789
  * mpg123.c: -R does not require any further argument on the command line.
  * Makefile: Replace obsolete '-m486' by '-mcpu=i486'.
  * mpg123.1: Add missing .TP separator. Closes: #190965
  * mpg123.1: Document format of equalizer file. Closes: #107221
  * README.Debian: Clarify that mpg123 does not contain GPLed code.
    Closes: #149398
  * debian/rules: Distribute README.Debian.
  * debian/postinst: Check arguments and only act when called with
    'configure'.
  * debian/postinst: Install alternative for mp3-decoder. Closes: #144303

 -- Daniel Kobras <kobras@debian.org>  Sun, 28 Sep 2003 15:29:07 +0200

mpg123 (0.59r-14) unstable; urgency=high

  * Finally understood why size calculation of audio fragments broke
    PPC support--we're actually violating OSS v1.1 specs, and PPC's
    dmasound driver traps it.  Reverted previous workaround and added
    proper fix.
  * common.h: Increase MAXFRAMESIZE to 3456 bytes, which is much closer to
    reality.
  * common.c: Add a sanity check on framesize overflow. Cannot happen now,
    but let's be prepared.
  * Makefile: Fix gcc commandline in linux-ppc target to keep gcc 3.2 happy.
  * debian/postinst: Do not set symlink to /usr/doc.
  * debian/control: Complies with current standards version.

 -- Daniel Kobras <kobras@debian.org>  Wed, 29 Jan 2003 21:39:04 +0100

mpg123 (0.59r-13) unstable; urgency=low

  * Upstream's fix for zero length issue broke wav and cdr output.
    Reverted and replaced with own version. Closes: #139300
  * Enable term control keys on all Linux targets.

 -- Daniel Kobras <kobras@debian.org>  Fri, 22 Mar 2002 16:43:39 +0100

mpg123 (0.59r-12) unstable; urgency=low

  * The "my patch is bigger than yours" release.
  * When playing the _first_ song in buffered mode, wait until the buffer
    is completely filled up before any output is produced.  The threshold
    remains at 1/8 the buffer for all the later songs.  This hack gives
    live streams a chance to fill up the whole buffer. Closes: #34844
  * Clarify documentation of random play options. Closes: #131105
  * Initialise output early to prevent segfault on zero length files.
    Closes: #97899
  * Applied slightly modified version of patch from Andreas Dilger
    <adilger@turbolinux.com> to recognize ID3 tags.
    Closes: #72372, #81260, #105329
  * Applied patch from Erik B. Andersen <andersee@debian.org> for fixed
    point arithmetic on arm. Closes: #72600
  * Applied patch from Chris Butler <chrisb@debian.org> to fix size
    calculation of OSS audio fragments.  Added a hack to make the patch
    work on PPC. (WTF? Might be a bug in PPC's OSS implementation.)
    Closes: #79566
  * Shuffled includes in audio_oss.c to avoid redefinition of native
    endian formats.
  * Applied patch from Andreas Dilger <adilger@turbolinux.com> to skip
    over unplayable files during shuffle play. Closes: #60726
  * Applied patch from Martin Sjögren <md9ms@mdstud.chalmers.se> to
    handle spaces in URLs. Closes: #75289
  * Updated standards version.

 -- Daniel Kobras <kobras@debian.org>  Sat,  9 Mar 2002 21:45:55 +0100

mpg123 (0.59r-11) unstable; urgency=low

  * Don't buffer output if writing to a file. (Patch from upstream CVS.)
    Closes: #67346
  * Introduce option --title to allow changing the window's title in an
    xterm or rxvt. (Patch adapted from upstream CVS.) Document the new
    option. Closes: #72453, #83907
  * Correct broken URLs in man page. Closes: #82049
  * Document control keys. (Patch from upstream CVS.) Closes: #111787
  * Enable and document option to gain realtime priority. Closes: #92046
  * Changed download location in copyright file to a working URL.
  * Removed alsa build deps since the alsa version isn't built anyway.
  * The nas target build depends on xlibs-dev for libXau.
  * New Debian maintainer. Closes: #109254 

 -- Daniel Kobras <kobras@debian.org>  Thu, 10 Jan 2002 00:52:04 +0100

mpg123 (0.59r-10) unstable; urgency=low

  * Debian QA upload.
  * debian/control: Remove mpg123-alsa paragraph, as having it stay around
    in the .dsc is confusing the archive scripts so that the old i386 binary
    hasn't been removed. The old paragraph is in debian/control.alsa for
    now.

 -- Colin Watson <cjwatson@debian.org>  Fri, 30 Nov 2001 03:11:40 +0000

mpg123 (0.59r-9) unstable; urgency=low

  * Debian QA upload.
  * Apply patch from Helge Deller <deller@gmx.de> to allow building on hppa
    (closes: #110832).

 -- Colin Watson <cjwatson@debian.org>  Sat,  1 Sep 2001 00:12:46 +0100

mpg123 (0.59r-8) unstable; urgency=low

  * Fix typo preventing build on powerpc (closes: #110134).

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Aug 2001 13:43:47 +0100

mpg123 (0.59r-7) unstable; urgency=low

  * audio_oss.c: If opening /dev/dsp fails, try /dev/sound/dsp.
    Thanks to Chet Hosey <chosey@budapress.com>. Closes: #78169.
  * layer3.c: Cast getbyte() to unsigned long for 64-bit arches.
    Thanks to Christopher C. Chimelis <chris@debian.org>.
    Closes: #69944. Might be the same as #70552, but don't know.
  * mpg123.1: Added the --wav, --au, --cdr options to the manpage.
    Thanks to Roland Rosenfeld <roland@spinnaker.de>. Closes: #70786.
  * debian/control: Provide mp3-decoder (Closes: #83247). Make
    mpg123-oss-i486 have the same provides/conflicts as the other
    packages.
  * debian/rules: Use $(MAKE). Closes: #79563.
  * mpg123.c: If $TERM is rxvt, send xterm title changing escape
    codes. Thanks to Marcelo E. Magallon <mmagallo@debian.org>.
    Closes: #103955. Note: the -C option doesn't seem to be working.
  * Removed package mpg123-alsa until mpg123 is ported to the newer
    ALSA API. Closes: #74234.
  * New package mpg123-oss-3dnow. Closes: #101654. dct64_3dnow.s
    and decode_3dnow.s had syntax errors, changed all "foo /comment"
    to be two lines "/comment" and "foo".
  * Orphaning the package, I've switched to using mpg321.

 -- Tommi Virtanen <tv@debian.org>  Sat, 18 Aug 2001 15:40:28 +0300

mpg123 (0.59r-6) unstable; urgency=low

  * Do not crash when $TERM is unset. Closes: #69123.

 -- Tommi Virtanen <tv@debian.org>  Sun, 27 Aug 2000 19:48:41 +0300

mpg123 (0.59r-5) unstable; urgency=low

  * Add "with <x> support" to short package descriptions. 
    Closes: #65771.
  * Fix off-by-one bounds check in translating genre numbers 
    to names. Closes: #68662.
  * Don't use -DREAD_MMAP. Closes: #20258, #64490.
  * Add new package mpg123-oss-i486, optimized for i486 CPUs.
  * Undo part of earlier bugfix: if -R 'line' consisted only 
    of \n and/or \r, a buffer underflow would happen.

 -- Tommi Virtanen <tv@debian.org>  Sun, 27 Aug 2000 17:56:10 +0300

mpg123 (0.59r-4) unstable; urgency=low

  * Fix buffer underflow when remote control mode read(0,..) fails.
  * Make remote control mode exit on eof instead of 100% CPU usage.

 -- Tommi Virtanen <tv@debian.org>  Sat, 27 May 2000 21:51:50 +0300

mpg123 (0.59r-3) unstable; urgency=low

  * Conflict with the mpg123 package from time
    before the split.

 -- Tommi Virtanen <tv@debian.org>  Sat, 20 May 2000 01:14:49 +0300

mpg123 (0.59r-2) unstable; urgency=low

  * Yes Virginia, it is a newer version now. Closes: #61370.
  * Split the package to mgp123{-esd,-alsa,-nas}. 
    Closes: #49940, #33416.
  * Close all the bugs the previous maintainer
    intended to close, but failed with the syntax.
    Please reopen if they are not really fixed.
    Closes: #32322, #27867, #28690, #17751, #14168,
    #13659, #14118, #14759, #15312, #32668, #26899.
  * It seems to be registered in mailcap already. Closes: #35770.
  * Seems to handle stdin just fine. Closes: #22052.
  * Seems to handle ctrl-C just fine. Closes: #32666, #25529.
  * Added -lXt to mpg123-nas compilation to fix missing symbols
  * Added declaration for esdserver in audio_esd.c
  * Include support for ARM and Sparc architectures.
    Needs testing. Closes: #58490, #53050.
  * Remove all mentions of freeness from description. Closes: #48744.

 -- Tommi Virtanen <tv@debian.org>  Fri, 19 May 2000 23:29:43 +0300

mpg123 (0.59r-1) unstable; urgency=low

  * New maintainer
  * New upstream version
  * Rewrite packaging to get rid of debstd
  * Upgraded to policy 3.1.1 (FHS, no Build-Depends needed)
  * Wait for the next upload for bug fixing or package splitting..

 -- Tommi Virtanen <tv@debian.org>  Tue, 16 May 2000 18:14:56 +0300

mpg123 (0.59q-2) unstable; urgency=low

  * fixes #15434: changelog.debian is compressed
  * fixes #27867: manpage is correct
  * fixes #28690: copyright file updated with new url
  * fixes #17751, #14168, #17751: random with one file doesn't crash anymore
  * fixes #13659, #14118, #14759, #15312: sound doesn't stop after 20 minutes
  * many thanks to justin mccright for helping me clean these up

 -- Paul Haggart <phaggart@debian.org>  Sun, 14 Mar 1999 11:02:42 -0500

mpg123 (0.59q-1) unstable; urgency=low

  * fixes #32668: new upstream source 
  * i think we lost gmp3 support though.. the patch was none too clean
  * fixes #32322: add -DUSE_MMAP to alpha
  * fixes #26899: registered mime type for audio/mpeg
  * updated standards version to current

 -- Paul Haggart <phaggart@debian.org>  Sun,  7 Feb 1999 17:14:17 -0500

mpg123 (0.59o-3) unstable; urgency=low

  * incorporated patches for gmp3 support

 -- Paul Haggart <phaggart@debian.org>  Sun,  2 Aug 1998 12:50:31 -0400

mpg123 (0.59o-2) frozen unstable; urgency=low

  * fixed #20301: compiles under m68k

 -- Paul Haggart <phaggart@debian.org>  Fri, 27 Mar 1998 15:19:43 -0500

mpg123 (0.59o-1) unstable; urgency=low

  * new upstream source
  * fixed #17398: 8 bit cards supported with --8bit option
  * fixed #15348: alpha architecture is supported
  * fixed #14541: move me to non-free/sound!

 -- Paul Haggart <phaggart@debian.org>  Sat, 14 Mar 1998 10:02:57 -0500

mpg123 (0.59n-3) unstable; urgency=low

  * moved to non-free/sound for real now.  

 -- Paul Haggart <phaggart@debian.org>  Tue, 10 Feb 1998 10:51:59 -0500

mpg123 (0.59n-2) unstable; urgency=low

  * really added support for non-i386 this time.  last time I was just
    kidding or something.

 -- Paul Haggart <phaggart@debian.org>  Sat,  7 Feb 1998 14:26:10 -0500

mpg123 (0.59n-1) unstable; urgency=low

  * new upstream source
  * hopefully added support for non-i386 architectures

 -- Paul Haggart <phaggart@debian.org>  Sat, 24 Jan 1998 12:07:02 -0500

mpg123 (0.59m-3) unstable; urgency=low

  * okay, now we're -really- moved to non-free/sound.

 -- Paul Haggart <phaggart@debian.org>  Thu, 20 Nov 1997 18:00:36 -0500

mpg123 (0.59m-2) unstable; urgency=low

  * moved to non-free/sound because of DFSG non-compliance.

 -- Paul Haggart <phaggart@debian.org>  Tue, 18 Nov 1997 18:31:36 -0500

mpg123 (0.59m-1) unstable; urgency=low

  * new upstream source

 -- Paul Haggart <phaggart@debian.org>  Wed, 22 Oct 1997 21:55:13 -0400

mpg123 (0.59l-2) unstable; urgency=low

  * i386 only :(  (bug #13833)

 -- Paul Haggart <phaggart@debian.org>  Mon, 13 Oct 1997 14:27:39 -0400

mpg123 (0.59l-1) unstable; urgency=low

  * new upstream version

 -- Paul Haggart <phaggart@debian.org>  Mon, 29 Sep 1997 15:59:57 -0400

mpg123 (0.59k-2) unstable; urgency=low

  * fixed bug #11465: mpg123 isn't i386 specific any more

 -- Paul Haggart <phaggart@debian.org>  Wed, 23 Jul 1997 20:10:42 -0400

mpg123 (0.59k-1) unstable; urgency=low

  * new upstream version

 -- Paul Haggart <phaggart@debian.org>  Sun, 13 Jul 1997 11:41:34 -0400

mpg123 (0.59i-1) unstable; urgency=low

  * new upstream version

 -- Paul Haggart <phaggart@debian.org>  Thu, 19 Jun 1997 17:03:15 -0400

mpg123 (0.59g-1) unstable; urgency=low

  * recompiled with libc6
  * new upstream source

 -- Paul Haggart <phaggart@debian.org>  Sun, 4 May 1997 00:11:44 -0400

mpg123 (0.59f-1) unstable; urgency=low

  * Initial Release.

 -- Paul Haggart <phaggart@debian.org>  Sun, 27 Apr 1997 15:09:37 -0400


